Create and Send a WhatsApp campaign
You can use this API for WhatsApp only if you have setup your WhatsApp account on Brevo platform. To setup your WhatsApp account, follow the steps in the guide below.
Activating Whatsapp in your account
This API requires the List and Segment ids as recipients in Body params.You can use the below Contact endpoints to get the required information.
Get all the Lists
Get all the Segments
Authentication
api-keystring
The API key should be passed in the request headers as api-key for authentication.
OR
AuthorizationBearer
OAuth 2.0 client_credentials (machine-to-machine) grant. Exchange your app’s client_id/client_secret for a short-lived Bearer token.
Request
Values to create a WhatsApp Campaign
name
Name of the WhatsApp campaign creation
recipients
Segment ids and List ids to include/exclude from campaign
scheduledAt
Sending UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). **Prefer to pass your timezone in date-time format for accurate result.For example: 2017-06-01T12:30:00+02:00
templateId
Id of the WhatsApp template in approved state
Response
successfully created
id
ID of the object created
Errors
400
Bad Request Error